#############################################################
#
# mini_snmpd
#
#############################################################
MINI_SNMPD_VERSION = 1.2b
MINI_SNMPD_SITE = http://members.aon.at/linuxfreak/linux
MINI_SNMPD_SOURCE = mini_snmpd-$(MINI_SNMPD_VERSION).tar.gz
MINI_SNMPD_DIR=$(BUILD_DIR)/mini_snmpd-$(MINI_SNMPD_VERSION)
MINI_SNMPD_MAKE_ENV = CC="$(TARGET_CC)" LDFLAGS="$(TARGET_LDFLAGS)"

define MINI_SNMPD_APPLY_PATCHES
	support/scripts/apply-patches.sh $(MINI_SNMPD_DIR) package/mini_snmpd/custom/ mini_snmpd-no_ipv6.patch
endef

define MINI_SNMPD_BUILD_CMDS
        $(MINI_SNMPD_MAKE_ENV) $(MAKE) -C $(@D)
endef

define MINI_SNMPD_INSTALL_TARGET_CMDS
	cp -af $(MINI_SNMPD_DIR)/mini_snmpd $(TARGET_DIR)/usr/sbin/
endef

define MINI_SNMPD_UNINSTALL_TARGET_CMDS
        rm -f $(TARGET_DIR)/usr/sbin/mini_snmpd
endef

define MINI_SNMPD_CLEAN_CMDS
        $(MINI_SNMPD_MAKE_ENV) $(MAKE)  $(TARGET_CONFIGURE_OPTS) -C $(@D) clean
endef

ifneq ($(BR2_INET_IPV6),y)
MINI_SNMPD_POST_PATCH_HOOKS += MINI_SNMPD_APPLY_PATCHES
endif
$(eval $(call GENTARGETS,package,mini_snmpd))
